<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbExportDatamapTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_export_datamap', function(Blueprint $table)
		{
			$table->foreign('export_module_id', 'fk_edm_exm')->references('id')->on('ab_export_module')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('module_id', 'fk_edm_mod')->references('id')->on('ab_module')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_export_datamap', function(Blueprint $table)
		{
			$table->dropForeign('fk_edm_exm');
			$table->dropForeign('fk_edm_mod');
		});
	}

}
